Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class TaskDueState

    java.lang.Object
      com.compoze.domino.TaskDueState

All Implemented Interfaces:
  java.io.Serializable

public class TaskDueState
extends java.lang.Object
implements java.io.Serializable

This class stores the values for a 'task due state'. The internationalizable string values are stored in the `domino_resources.properties` file (accessed through `DominoProperties`) and referenced by their key.

See Also:
  Serialized Form

Field Summary
`static TaskDueState` | `COMPLETED` This value represents a 'completed' due state.
`static TaskDueState` | `CURRENT` This value represents a 'current' due state.
`static TaskDueState` | `FUTURE` This value represents a 'future' due state.
`static TaskDueState` | `OVERDUE` This value represents an 'overdue' due state.
`static TaskDueState` | `REJECTED` This value represents a 'rejected' due state.
`static int` | `STORE_VALUE_COMPLETED` This value represents the 'completed' store value.
`static int` | `STORE_VALUE_CURRENT` This value represents the 'current' store value.
`static int` | `STORE_VALUE_FUTURE` This value represents the 'future' store value.
`static int` | `STORE_VALUE_OVERDUE` This value represents the 'overdue' store value.
`static int` | `STORE_VALUE_REJECTED` This value represents the 'rejected' store value.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static TaskDueState` | `get(int iStoreValue)` Gets the due state by the store value.
`static java.util.List` | `getList()` Gets the list of due state levels.
`java.lang.String` | `getName()` Gets the name of the due state using the system default locale.
`java.lang.String` | `getName(java.util.Locale locale)` Gets the name of the due state level using the specified locale.
`int` | `getStoreValue()` Gets the store value used to store the due state in the storage system.
`java.lang.Object` | `getStoreValueObject()` Gets the store value as an object.
`java.lang.String` | `toString()` Returns a string representation of the object.
`java.lang.String` | `toString(java.util.Locale locale)` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STORE_VALUE_OVERDUE

    public static final int STORE_VALUE_OVERDUE

  This value represents the 'overdue' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_FUTURE

    public static final int STORE_VALUE_FUTURE

  This value represents the 'future' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_REJECTED

    public static final int STORE_VALUE_REJECTED

  This value represents the 'rejected' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_COMPLETED

    public static final int STORE_VALUE_COMPLETED

  This value represents the 'completed' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_CURRENT

    public static final int STORE_VALUE_CURRENT

  This value represents the 'current' store value.

  See Also:
    Constant Field Values

### OVERDUE

    public static final TaskDueState OVERDUE

  This value represents an 'overdue' due state.

### FUTURE

    public static final TaskDueState FUTURE

  This value represents a 'future' due state.

### REJECTED

    public static final TaskDueState REJECTED

  This value represents a 'rejected' due state.

### COMPLETED

    public static final TaskDueState COMPLETED

  This value represents a 'completed' due state.

### CURRENT

    public static final TaskDueState CURRENT

  This value represents a 'current' due state.

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of the due state using the system default locale.

  Returns:
    the name

### getName

    public java.lang.String getName(java.util.Locale locale)

  Gets the name of the due state level using the specified locale.

  Parameters:
    `locale` - the locale
  Returns:
    the name

### getStoreValue

    public int getStoreValue()

  Gets the store value used to store the due state in the storage system.

  Returns:
    the store value

### getStoreValueObject

    public java.lang.Object getStoreValueObject()

  Gets the store value as an object.

  Returns:
    the store value

### get

    public static TaskDueState get(int iStoreValue)

  Gets the due state by the store value.

  Parameters:
    `iStoreValue` - the store value to get by
  Returns:
    the matching due state or `null` if not found

### getList

    public static java.util.List getList()

  Gets the list of due state levels.

  Returns:
    the list of `TaskDueState` objects (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The store value is used to determine equality.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same store value as the argument; `false` otherwise

### toString

    public java.lang.String toString()

  Returns a string representation of the object.

  Returns:
    the string representation of the object

### toString

    public java.lang.String toString(java.util.Locale locale)

  Returns a string representation of the object.

  Parameters:
    `locale` - the locale
  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.